RDB 2: riegl::rdb::pointcloud::OpenSettings Class Reference

| RDB 2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | Friends | List of all members
riegl::rdb::pointcloud::OpenSettings Class Reference

Database open settings. More...

`#include <openSettings.hpp>`

## Public Member Functions
| ~OpenSettings ()
| OpenSettings ()
| Default constructor. More...
| OpenSettings (riegl::rdb::Context &context)
| OpenSettings (const OpenSettings &settings)
| Copy constructor. More...
OpenSettings & | operator= (const OpenSettings &settings)
| Assignment operator. More...
void | load (const std::string &json)
| Load settings from JSON string. More...
std::string | save () const
| Save settings to JSON string. More...

## Public Attributes
std::uint64_t | cacheSize
| Point cache size. More...

## Friends
class | OpenSettingsWrapper

## Detailed Description

Database open settings.

This class defines settings for opening a point cloud database.

Examples:
  rdb-example-02-insert-points.cpp, rdb-example-03-select-points.cpp, rdb-example-04-update-points.cpp, rdb-example-05-remove-points.cpp, rdb-example-06-database-stat.cpp, rdb-example-07-fill-points.cpp, rdb-example-08-invert-points.cpp, rdb-example-09-cleanup-database.cpp, and rdb-example-10-attribute-groups.cpp.

Definition at line 61 of file openSettings.hpp.

## Constructor & Destructor Documentation

riegl::rdb::pointcloud::OpenSettings::~OpenSettings | ( |  | ) |

riegl::rdb::pointcloud::OpenSettings::OpenSettings | ( |  | ) |

Default constructor.

All properties are set to default values.

riegl::rdb::pointcloud::OpenSettings::OpenSettings | ( | riegl::rdb::Context & | context | ) |
| explicit

Deprecated:
  since 2.2.3 - use the context-free constructors instead

riegl::rdb::pointcloud::OpenSettings::OpenSettings | ( | const OpenSettings & | settings | ) |

Copy constructor.

All properties are copied from the given settings object.

## Member Function Documentation

void riegl::rdb::pointcloud::OpenSettings::load | ( | const std::string & | json | ) |

Load settings from JSON string.

This function parses the given JSON string and applies all available properties - missing properties are silently ignored (i.e. the value remains unchanged). When parsing the JSON string fails, an exception is thrown.

Example JSON string:

    {
        "cache_size": 524288000

OpenSettings& riegl::rdb::pointcloud::OpenSettings::operator= | ( | const OpenSettings & | settings | ) |

Assignment operator.

All properties are copied from the given settings object.

std::string riegl::rdb::pointcloud::OpenSettings::save | ( |  | ) | const

Save settings to JSON string.

See Also
  load()

## Friends And Related Function Documentation

friend class OpenSettingsWrapper
| friend

Definition at line 124 of file openSettings.hpp.

## Member Data Documentation

std::uint64_t riegl::rdb::pointcloud::OpenSettings::cacheSize

Point cache size.

The database engine may buffer read and write operations in an internal cache. This value defines the cache size in bytes (octets).

Default: 500 MB

Definition at line 72 of file openSettings.hpp.

The documentation for this class was generated from the following file:

- riegl/rdb/pointcloud/openSettings.hpp